Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class GeometryExtracter

    java.lang.Object
      com.vividsolutions.jts.geom.util.GeometryExtracter

All Implemented Interfaces:
  GeometryFilter

    public class GeometryExtracter

extends java.lang.Object
implements GeometryFilter

Extracts the components of a given type from a `Geometry`.

Version:
  1.7

Constructor Summary
`GeometryExtracter(java.lang.Class clz, java.util.List comps)` Constructs a filter with a list in which to store the elements found.

Method Summary
`static java.util.List` | `extract(Geometry geom, java.lang.Class clz)` Extracts the components of type `clz` from a `Geometry` and returns them in a `List`.
`static java.util.List` | `extract(Geometry geom, java.lang.Class clz, java.util.List list)` Extracts the components of type `clz` from a `Geometry` and adds them to the provided `List`.
`void` | `filter(Geometry geom)` Performs an operation with or on `geom`.
`protected static boolean` | `isOfClass(java.lang.Object o, java.lang.Class clz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryExtracter

    public GeometryExtracter(java.lang.Class clz,
                             java.util.List comps)

  Constructs a filter with a list in which to store the elements found.

  Parameters:
    `clz` - the class of the components to extract (null means all types)
    `comps` - the list to extract into

Method Detail

### isOfClass

    protected static boolean isOfClass(java.lang.Object o,
                                       java.lang.Class clz)

### extract

    public static java.util.List extract(Geometry geom,
                                         java.lang.Class clz,
                                         java.util.List list)

  Extracts the components of type `clz` from a `Geometry` and adds them to the provided `List`.

  Parameters:
    `geom` - the geometry from which to extract
    `list` - the list to add the extracted elements to

### extract

    public static java.util.List extract(Geometry geom,
                                         java.lang.Class clz)

  Extracts the components of type `clz` from a `Geometry` and returns them in a `List`.

  Parameters:
    `geom` - the geometry from which to extract

### filter

    public void filter(Geometry geom)

  Description copied from interface: `GeometryFilter`
  Performs an operation with or on `geom`.

  Specified by:
    `filter` in interface `GeometryFilter`
  Parameters:
    `geom` - a `Geometry` to which the filter is applied.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD